%global _privatelibs libnm-libreswan-properties[.]so.*
%global __provides_exclude ^(%{_privatelibs})$
%global __requires_exclude ^(%{_privatelibs})$

Summary:   NetworkManager VPN plug-in for IPsec VPN
Name:      NetworkManager-libreswan
Version:   1.2.22
Release:   1%{?dist}
License:   GPLv2+
URL:       http://www.gnome.org/projects/NetworkManager/
Source0:   https://download.gnome.org/sources/NetworkManager-libreswan/1.2/%{name}-%{version}.tar.xz

BuildRequires: make gcc gtk3-devel libnl3-devel libnma-gtk4-devel
BuildRequires: NetworkManager-libnm-devel libnma-devel libsecret-devel intltool gettext
Requires: NetworkManager
Requires: dbus-common
Requires: /usr/sbin/ipsec
Provides: NetworkManager-openswan = %{version}-%{release}

%description
This package contains software for integrating the libreswan VPN software with NetworkManager and
the GNOME desktop

%package -n NetworkManager-libreswan-gnome
Summary: NetworkManager VPN plugin for libreswan - GNOME files
Requires: %{name} = %{version}-%{release} shared-mime-info
Provides: NetworkManager-openswan-gnome = %{version}-%{release}

%description -n NetworkManager-libreswan-gnome
This package contains software for integrating VPN capabilities with the libreswan server with
NetworkManager (GNOME files).

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure \
    --disable-static \
    --with-gtk4 \
    --without-libnm-glib \
    --enable-more-warnings=yes \
    --with-dist-version=%{version}-%{release}
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/NetworkManager/lib*.la
mv %{buildroot}%{_sysconfdir}/dbus-1 %{buildroot}%{_datadir}/

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS
%{_libdir}/NetworkManager/libnm-vpn-plugin-libreswan.so
%{_prefix}/lib/NetworkManager/VPN/nm-libreswan-service.name
%{_libexecdir}/nm-libreswan-service
%{_libexecdir}/nm-libreswan-service-helper
%{_datadir}/dbus-1/system.d/nm-libreswan-service.conf
%{_mandir}/man5/nm-settings-libreswan.5.gz

%files -n NetworkManager-libreswan-gnome
%{_libdir}/NetworkManager/libnm-vpn-plugin-libreswan-editor.so
%{_libdir}/NetworkManager/libnm-gtk4-vpn-plugin-libreswan-editor.so
%{_libexecdir}/nm-libreswan-auth-dialog
%{_metainfodir}/network-manager-libreswan.metainfo.xml

%changelog
* Mon Sep 23 2024 Upgrade Robot <upbot@opencloudos.tech> - 1.2.22-1
- Upgrade to version 1.2.22

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.16-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.16-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.16-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.16-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 14 2023 Shuo Wang <abushwang@tencent.com> - 1.2.16-1
- initial build
